Bug 187131 - [PATCH] databases/mysql56-client: install missing hash.h to fix build failure of ports which includes sql_common.h
Summary: [PATCH] databases/mysql56-client: install missing hash.h to fix build failure...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-28 09:40 UTC by Po-Chuan Hsieh
Modified: 2014-02-28 14:00 UTC (History)
1 user (show)

See Also:


Attachments
mysql56-client-5.6.16.patch (1.09 KB, patch)
2014-02-28 09:40 UTC, Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2014-02-28 09:40:00 UTC
${PREFIX}/include/mysql/sql_common.h includes hash.h which is in mysql 5.6.x
source as include/hash.h. However, hash.h was not installed thus some ports
fail to build, e.g. databases/mydumper.

Port maintainer (ale@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: change, diff: SVN)

How-To-Repeat: % cd /usr/ports/databases/mysql56-client; make install
% cd /usr/ports/databases/mydumper; make install
...
In file included from /usr/ports/works/usr/ports/databases/mydumper/work/mydumper-0.5.2/binlog.c:27:
/usr/local/include/mysql/sql_common.h:26:10: fatal error: 'hash.h' file not found
#include <hash.h>
         ^
1 warning and 1 error generated.
*** [CMakeFiles/mydumper.dir/binlog.c.o] Error code 1

% pkg which /usr/local/include/mysql/sql_common.h
/usr/local/include/mysql/sql_common.h was installed by package mysql56-client-5.6.16
Comment 1 Edwin Groothuis freebsd_committer 2014-02-28 09:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-02-28 13:52:06 UTC
Author: sunpoet
Date: Fri Feb 28 13:51:58 2014
New Revision: 346515
URL: http://svnweb.freebsd.org/changeset/ports/346515
QAT: https://qat.redports.org/buildarchive/r346515/

Log:
  - Install hash.h
  - Bump PORTREVISION for package change
  
  PR:		ports/187131
  Submitted by:	sunpoet (myself)
  Approved by:	ale (maintainer)

Added:
  head/databases/mysql56-client/files/patch-include-CMakeLists.txt   (contents, props changed)
Modified:
  head/databases/mysql56-client/Makefile
  head/databases/mysql56-client/pkg-plist

Modified: head/databases/mysql56-client/Makefile
==============================================================================
--- head/databases/mysql56-client/Makefile	Fri Feb 28 13:45:48 2014	(r346514)
+++ head/databases/mysql56-client/Makefile	Fri Feb 28 13:51:58 2014	(r346515)
@@ -2,6 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mysql
+PORTREVISION=	1
 PKGNAMESUFFIX=	56-client
 
 COMMENT=	Multithreaded SQL database (client)

Added: head/databases/mysql56-client/files/patch-include-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/mysql56-client/files/patch-include-CMakeLists.txt	Fri Feb 28 13:51:58 2014	(r346515)
@@ -0,0 +1,10 @@
+--- include/CMakeLists.txt.orig	2014-01-14 23:38:00.000000000 +0800
++++ include/CMakeLists.txt	2014-02-28 04:51:50.269412818 +0800
+@@ -35,6 +35,7 @@
+ 
+ SET(HEADERS 
+   ${HEADERS_ABI} 
++  hash.h
+   my_dbug.h 
+   m_string.h
+   my_sys.h 

Modified: head/databases/mysql56-client/pkg-plist
==============================================================================
--- head/databases/mysql56-client/pkg-plist	Fri Feb 28 13:45:48 2014	(r346514)
+++ head/databases/mysql56-client/pkg-plist	Fri Feb 28 13:51:58 2014	(r346515)
@@ -19,6 +19,7 @@ include/mysql/byte_order_generic_x86.h
 include/mysql/byte_order_generic_x86_64.h
 include/mysql/decimal.h
 include/mysql/errmsg.h
+include/mysql/hash.h
 include/mysql/keycache.h
 include/mysql/little_endian.h
 include/mysql/m_ctype.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2014-02-28 13:52:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!